//-------change these multipliers for the Water and Air data
//-------as needed
      Data WaterMultipliers;1,1,1,1,1,1,1,1,1
      Data AirMultipliers  ;1,1,1,1,1,1,1,1,1
//-------change the file names as required
      AirFile   = "data_file_air.txt"
      WaterFile = "data_file_water.txt"
      ResultsFile = "results_data_file.txt"
//=============================================================================
MainProgram:
  FlName = WaterFile
  GoSub ProcessData
  mcopy Averages,WaterAverages
  FlName = AirFile
  GoSub ProcessData
  mcopy Averages,AirAverages
  clearscr
  h = FileCreate(ResultsFile)
  msg = "Results for """+WaterFile+""" and """+AirFile
  Print msg \ FileprintT h,msg
  msg = "Processed on "+DateTime(Now(),"ddd. mmmm dd,yyyy hh:nn:ss AM/PM")+CRLF()
  Print msg \ Print \ FileprintT h,msg
  for i= 0 to maxdim(WaterAverages,1)-1 step 10
     msg = "Water:"+WaterAverages[i]+spaces(10)+"Air:"+AirAverages[i]
     Print msg \ FilePrintT h,msg
     //multiply the water avarage by a multiplier and subtract from it 
     //the corresponding air average also multiplied by a multiplier
     //and print out the result to the results file
     for j=1 to 9
        n =  i+j
        WaterAverages[n] = WaterAverages[n]*WaterMultipliers[j-1]-AirAverages[n]*AirMultipliers[j-1]
        msg = format(WaterAverages[n],"0.00")
        Print msg; \ FilePrintT h,msg;
     next
     print \ FilePrintT h
  next
  x = FileClose(h)
End
//=============================================================================
ProcessData:
  ClearScr
  print "Processing ",FlName
  Dim Averages[0]
  Dim A[10]
  mConstant A,0
  Cnt = 0
  h = fileopen(FlName,fo_READ)
  if h < 0 then n=ErrMsg("Could not find "+FlName,ProgName(),MB_OK|MB_Error)\Terminate
  //find the start of the data in the file
  x = FileRead(h,200)
  n = InString(x,"speed")
  x = substring(x,n,0)
  n = InString(x,crlf())
  Speed = substring(x,1,n)
  x = substring(x,n+2,0)
  Finished = false
  while !Finished
     //find each line of data
     n = numparts(x,crlf())
     for i=1 to n-1
        v = extract(x,crlf(),i)
        if length(v) < 5 then continue
        if instring(v,"completed") || instring(v,"speed")
           //create the data for each bulk and speed
           Data Averages;Speed
           Print Speed
           for k=0 to 8
              val = A[k]*1.0/Cnt
              data Averages;val
              print format(val,"0.00");
           next
           print
           mconstant A,0
           Cnt = 0
           if instring(v,"completed")then Finished = true \ break
           Speed = v
           continue
        endif
        //process the individual number in each row of data
        nn= numparts(v," ")
        for j= 1 to nn
           A[j-1] = A[j-1]+ToNumber(trim(extract(v," ",j)),0)
        next
        Cnt = Cnt+1
     next
     v = extract(x,crlf(),n)
     x = FileSeek(h,fo_CurrPos,-length(v))
     x = FileRead(h,200)
  wend
  x = FileClose(h)
Return
//=============================================================================
